Subject: Re: Update on some NNCP things

From: Jonathan Lane <[email-masked]>
Date: Thu, 17 Feb 2022 08:26:03 +0000

On Wed, Feb 16, 2022 at 12:09:22PM -0600, John Goerzen wrote:
> 
> Speaking of this - I mentioned to them on their Matrix channel about how
> you've integrated Yggdrasil into NNCP.  Neil was particularly interested
> in inet.af/netstack.  He had previously written yggmail using uTP as you
> probably knew.  He's currently working on a brach of yggdrasil that will
> have an option to act as a SOCKS5 proxy -- or forward incoming
> connections to local ports -- for those that can't set up a tun
> interface for whatever reason, but don't embed yggdrasil in their
> codebase (eg, Docker containers).  He's using netstack for this.

Now that's cool!  Running it as an open SOCKS5 proxy simplifies a lot of
usecases for connecting containers to a private network without needing
to change host networking.

-- 
[email-masked]
SDF Public Access UNIX System - http://sdf.org